Bug 484534 - rhnpush causes a traceback when uploading packages.
rhnpush causes a traceback when uploading packages.
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
0.5
All Linux
low Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Jesus M. Rodriguez
:
Depends On:
Blocks: space05
  Show dependency treegraph
 
Reported: 2009-02-07 20:37 EST by Pradeep Kilambi
Modified: 2009-09-17 03:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:10:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pradeep Kilambi 2009-02-07 20:37:22 EST
Description of problem:

traceback when pushing binary rpms to server.


Exception reported from sw.domain.com
Time: Sat Feb  7 20:33:13 2009
Exception type exceptions.AttributeError
Exception while handling function packages.getPackageMD5sumBySession
Request object information:
URI: /APP
Remote Host: localhost.localdomain
Server Name: sw.domain.com:0
Headers passed in:
    Accept-Encoding: identity
    Content-Length: 382
    Host: localhost
    content-encoding: x-gzip
    content-transfer-encoding: binary
    content-type: application/binary
    user-agent: rhn.rpclib.py/$Revision: 102540 $
    x-client-version: 1
    x-info: RPC Processor (C) Red Hat, Inc (version 102540)
    x-rhn-transport-capability: follow-redirects=2
    x-transport-info: Extended Capabilities Transport (C) Red Hat, Inc (version 102540)

Exception Handler Information
Traceback (most recent call last):
  File "/usr/share/rhn/server/apacheRequest.py", line 120, in call_function
    response = apply(func, params)
  File "/usr/share/rhn/server/handlers/app/packages.py", line 453, in getPackageMD5sumBySession
    return self._getPackageMD5sum(org_id, pkg_infos, info)
  File "/usr/share/rhn/server/handlers/app/packages.py", line 510, in _getPackageMD5sum
    filePath = os.path.join(CFG.MOUNT_POINT, row['path'])
  File "/usr/lib64/python2.4/posixpath.py", line 60, in join
    if b.startswith('/'):
AttributeError: 'NoneType' object has no attribute 'startswith'
Comment 1 Jesus M. Rodriguez 2009-04-14 10:12:48 EDT
Spacewalk 0.5 released.
Comment 2 Miroslav Suchý 2009-09-17 03:10:05 EDT
Spacewalk 0.5 has been released for long time ago.

Note You need to log in before you can comment on or make changes to this bug.